[Cryptech-Commits] [sw/tamper] 13/20: usage

git at cryptech.is git at cryptech.is
Fri Jul 22 14:58:12 UTC 2016


This is an automated email from the git hooks/post-receive script.

paul at psgd.org pushed a commit to branch master
in repository sw/tamper.

commit 63a56f4fe1cb972e87fcb8bb9150b0fa0f1306cf
Author: Jakob Schlyter <jakob at kirei.se>
AuthorDate: Sat Jul 16 10:22:30 2016 +0200

    usage
---
 upload.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/upload.sh b/upload.sh
index d34d4ed..62b906a 100755
--- a/upload.sh
+++ b/upload.sh
@@ -1,6 +1,10 @@
 #! /bin/sh
 
 HEXFILE=$1
-[ -z "$HEXFILE" ] && exit 1
+
+if [ -z "$HEXFILE" ]; then
+	echo "usage: $0 [hexfile]"
+	exit 1
+fi
 
 avrdude -c usbtiny -p attiny828 -U flash:w:$HEXFILE



More information about the Commits mailing list